import 'dart:math';
import 'dart:ui';

import 'package:flutter/material.dart';

List<Color> _colors = <Color>[];

Color getRandomColor(int index) {
  if (index >= _colors.length) {
    final color = HSVColor.fromAHSV(
        0.2, Random.secure().nextInt(360).toDouble(), 0.4, 0.8);

    Color.fromARGB(255, Random.secure().nextInt(255),
        Random.secure().nextInt(255), Random.secure().nextInt(255));
    _colors.add(color.toColor());
  }

  return _colors[index];
}

String getTextForIndex(int index) =>
    '$index \n\n' + 'TestString' * 10 * (index % 3 + 1);
